All Oracle Error CodesOracle DBA Forum

SQL-02107:

Program too old for runtime library; please re-precompile it
Cause: The program was precompiled by an older version of the Oracle Precompilers, which is incompatible with this release of SQLLIB.
Action: Precompile the program with a newer version of the Oracle Precompilers.